import 'package:flutter/material.dart';
import 'package:satu/shared/app_colors.dart';

class DictionaryTile extends StatelessWidget {
  const DictionaryTile({
    required this.child,
    Key? key,
    this.subTitle,
    this.onPress,
  }) : super(key: key);

  final Widget child;
  final String? subTitle;
  final Function()? onPress;

  @override
  Widget build(BuildContext context) {
    return Container(
      decoration: const BoxDecoration(color: whiteColor),
      child: Material(
        color: Colors.transparent,
        child: InkWell(
          onTap: onPress,
          child: Padding(
            padding:
                const EdgeInsets.symmetric(horizontal: 15.0, vertical: 10.0),
            child: child,
          ),
        ),
      ),
    );
  }
}
